Topology checker don't work properly

2017-07-21 10:37 AM - Antonio Viscomi

Status: Closed

Priority: Normal

Assignee:

Category: C++ plugins/Topology checker

Affected QGIS version:2.18.10 Regression?: No

Operating System: Windows 7 Ultimate x64 Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 24800

Description

Hello,

I try to validate a polygon shapefile using Topology checker plugin:

I need to check for:

- must don't have gaps;

- must don't have invalid geometries;

- must don't have duplicates;

- must don't have overlays.

when I click on verify all, there appears 324 errors...

when I click on verify extension there appears 532 errors...

Is this normal?

I think there are some Issue in topology checker...

Furthermore when I try to manually correct one of these errors:

- I save edits and re-check extension, then the error I correct disappears;

- I re-check all and and error I previously had corrected (magically?) reappears

then I think there is some bug

I attach the screenshots and file 

Regards

History

#1 - 2017-07-21 10:41 AM - Giovanni Manghi

- Status changed from Open to Feedback

why tagged as regression? do you have any evidence that a previous QGIS release was working as expected?

#2 - 2017-07-21 10:45 AM - Antonio Viscomi

I'm not sure but in 2.16 version I'have used it and I'd not this issues

#3 - 2017-07-21 10:57 AM - Antonio Viscomi

Giovanni Manghi wrote:

why tagged as regression? do you have any evidence that a previous QGIS release was working as expected?
I'm not sure but in 2.16 version I'have used it and I'd not this issues

#4 - 2017-07-21 10:59 AM - Giovanni Manghi

- Regression? changed from Yes to No

- Priority changed from High to Normal

- Status changed from Feedback to Open

My opinion (as also other's) is that the Topology Checker should be integrated in the Geometry Checker (they were developed at different times from

different persons). As the situation is actually is all very confusing:

    -  the topology checker is easy to use and understand from a users point of view, but does not have fixing capabilities

    -  the geometry checker is advanced, can fix geometries, but is not as intuitive as the topology checker

    -  despite their names the two above can do both geometry and topology checks

    -  there are also tools to check (and fix, in qgis master) geometries in Processing

    -  as all the above were developed by different persons, possibly using different libraries, they tend to yield different results on the same input layer

qgis3 seems the right moment to take some action in the direction to make things a little less cluttered.

#5 - 2017-07-21 12:15 PM - Antonio Viscomi

Giovanni Manghi wrote:

My opinion (as also other's) is that the Topology Checker should be integrated in the Geometry Checker (they were developed at different times from

different persons). As the situation is actually is all very confusing:

    -  the topology checker is easy to use and understand from a users point of view, but does not have fixing capabilities

    -  the geometry checker is advanced, can fix geometries, but is not as intuitive as the topology checker

    -  despite their names the two above can do both geometry and topology checks

    -  there are also tools to check (and fix, in qgis master) geometries in Processing

    -  as all the above were developed by different persons, possibly using different libraries, they tend to yield different results on the same input

layer

I hope this will happen, 

However currently a user does not have many alternatives to check and fix Geometry (cause Geometry checker is seemingly affect by bug)

qgis3 seems the right moment to take some action in the direction to make things a little less cluttered.

#6 - 2017-07-21 12:49 PM - Giovanni Manghi

I hope this will happen, 

However currently a user does not have many alternatives to check and fix Geometry (cause Geometry checker is seemingly affect by bug)

you seems to have found a corner case, in general it works fine.

#7 - 2017-07-21 12:54 PM - Antonio Viscomi
Giovanni Manghi wrote:

I hope this will happen, 

However currently a user does not have many alternatives to check and fix Geometry (cause Geometry checker is seemingly affect by bug)

you seems to have found a corner case, in general it works fine.

Of course, I know it works fine, I used it several times before yesterday... :)

#8 - 2019-03-09 03:10 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
